Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution:    

Description

In some scenarios it might be helpful for an API client to find out what core fields a certain tracker has enabled.

Related issues:

Has duplicate Redmine - Feature #16522: RESTful API: Expose tracker standard ... Closed

Associated revisions

Revision 21064 - 2021-07-06 12:13 - Go MAEDA

Add enabled core fields to /trackers API response (#35505).

Patch by Jens Krämer.

History

#1 - 2021-07-01 11:54 - Jens Krämer

Note: we named the element in the API response `enabled_standard_fields` despite it is `core_fields` in the code, because 'Standard fields' is the

user-visible wording the Admin UI.

#2 - 2021-07-01 13:43 - Go MAEDA

- File test-35505.patch added

- Category set to REST API

- Target version set to Candidate for next major release

Here is a test for 0001-adds-enabled-tracker-core-fields-to-trackers-API-res.patch

#3 - 2021-07-04 01:14 - Go MAEDA

- Target version changed from Candidate for next major release to 5.0.0

Setting the target version to 5.0.0.

#4 - 2021-07-06 12:13 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.

#5 - 2021-07-27 16:08 - Go MAEDA

- Has duplicate Feature #16522: RESTful API: Expose tracker standard fields assignments added

#6 - 2021-11-05 05:52 - Go MAEDA

- Tracker changed from Patch to Feature

- Subject changed from add enabled core fields to /trackers API response to Add enabled core fields to /trackers API response

Files

0001-adds-enabled-tracker-core-fields-to-trackers-API-res.patch 916 Bytes 2021-07-01 Jens Krämer

2025-05-01 1/2

https://www.redmine.org/attachments/27670


test-35505.patch 1.12 KB 2021-07-01 Go MAEDA
